Using openssl


#1

I’m trying to run ruby extconf.rb in ext/openssl, and I get the
following:

=== OpenSSL for Ruby configurator ===
=== Checking for system dependent stuff… ===
checking for t_open() in -lnsl… no
checking for socket() in -lsocket… no
checking for unistd.h… yes
checking for sys/time.h… yes
checking for assert.h… yes
=== Checking for required stuff… ===
checking for openssl/ssl.h… no
=== Checking for required stuff failed. ===
Makefile wasn’t created. Fix the errors above.

I’m using Ubuntu 6.10… can anyone tell me what I can do to fix the
problems? I have openssl installed via ‘apt-get install openssl’

I don’t even know what the first two are talking about at all (the
t_open and socket())


#2

Luke I. wrote:

I’m trying to run ruby extconf.rb in ext/openssl, and I get the
following:

=== OpenSSL for Ruby configurator ===
=== Checking for system dependent stuff… ===
checking for t_open() in -lnsl… no
checking for socket() in -lsocket… no
checking for unistd.h… yes
checking for sys/time.h… yes
checking for assert.h… yes
=== Checking for required stuff… ===
checking for openssl/ssl.h… no
=== Checking for required stuff failed. ===
Makefile wasn’t created. Fix the errors above.

I’m using Ubuntu 6.10… can anyone tell me what I can do to fix the
problems? I have openssl installed via ‘apt-get install openssl’

I don’t even know what the first two are talking about at all (the
t_open and socket())

Answered my own question, at least
sudo apt-get install libssl-dev